### Hierarchy

- DeepCopy<OfferPrice>
  - OfferPrice

## Index

### Constructors

- constructor

### Properties

- description
- id
- rules
- worth

### Methods

- copy
- deepCopyFromJson
- getFieldsForAcception
- isRelevant
- toJson
- fromJson

## Constructors

### constructor

- new OfferPrice(id?: number, description?: string, worth?: string, rules?: Array<OfferPriceRules>): OfferPrice

- - Defined in repository/models/OfferPrice.ts:18

  #### Parameters

  - ##### Default value id: number = 0

  - ##### Default value description: string = ""

  - ##### Default value worth: string = ""

  - ##### Default value rules: Array<OfferPriceRules> = new Array<OfferPriceRules>()

  #### Returns OfferPrice

## Properties

### description

description: string

- Defined in repository/models/OfferPrice.ts:9

### id

id: number

- Defined in repository/models/OfferPrice.ts:8

### rules

rules: Array<OfferPriceRules>

- Defined in repository/models/OfferPrice.ts:11

### worth

worth: string

- Defined in repository/models/OfferPrice.ts:10

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferPrice>): OfferPrice

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferPrice>

  #### Returns OfferPrice

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferPrice

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferPrice.ts:58

  #### Returns OfferPrice

### getFieldsForAcception

- getFieldsForAcception(accessRight: AccessRight): Map<string, AccessRight>

- - Defined in repository/models/OfferPrice.ts:48

  #### Parameters

  - ##### accessRight: AccessRight

  #### Returns Map<string, AccessRight>

### isRelevant

- isRelevant(data: Map<string, string>): boolean

- - Defined in repository/models/OfferPrice.ts:41

  #### Parameters

  - ##### data: Map<string, string>

  #### Returns boolean

### toJson

- toJson(): object

- - Defined in repository/models/OfferPrice.ts:33

  #### Returns object

### Static fromJson

- fromJson(json: object): OfferPrice

- - Defined in repository/models/OfferPrice.ts:13

  #### Parameters

  - ##### json: object

  #### Returns OfferPrice

Generated using TypeDoc